Skip to navigation

Update WarehouseCredential

Beta
Update WarehouseCredential.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

warehouse_credential_idstringRequired
ID of the WarehouseCredential.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
revokedbooleanRequired

Indicates whether or not the WarehouseCredential has been revoked. When a WarehouseCredential is revoked, the credentials are deleted in the warehouse and can not be reactivated. The only valid value for this field is true.

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
expiresAtstring or nullOptional

The time after which new connections using the username/password will not be permitted. Upon expiration, currently open connections are not terminated.

idstringOptional
labelstring or nullOptional
An optional label defined by the user who created the WarehouseCredential.
modifiedAtstring or nullOptional
revokedbooleanOptional
Indicates whether or not the WarehouseCredential has been revoked. When a WarehouseCredential is revoked, the credentials are deleted in the warehouse and can not be reactivated.
userobjectOptional
The Benchling user whose permissions are used when creating the WarehouseCredential
usernamestringOptional
The username to connect to the warehouse.

Errors

400
Warehouse Credential Update Request Bad Request Error
403
Warehouse Credential Update Request Forbidden Error
404
Warehouse Credential Update Request Not Found Error
409
Warehouse Credential Update Request Conflict Error
429
Warehouse Credential Update Request Too Many Requests Error
500
Warehouse Credential Update Request Internal Server Error